Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface Item

All Superinterfaces:
  WCMApiObject

All Known Subinterfaces:
  AbstractAuthoringTemplate, AuthoringTemplate, Category, Content, ContentComponentContainer, ContentLink, ContentPrototype, CustomWorkflowAction, Document, Editable, EditableLibraryComponent, EmailAction, ExpireAction, Folder, HierarchicalPrototype, HierarchicalTemplate, HierarchicalTemplatedDocument, LibraryAuthoringToolsComponent, LibraryComponent, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPageNavigationComponent, LibraryPersonalizationComponent, LibraryReferenceComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTaxonomyComponent, LibraryTextComponent, LibraryUserNameComponent, LibraryUserSelectionComponent, Placeable, PortalPage, PresentationTemplate, Project, ProjectTemplate, Prototype, PublishAction, ScheduledMoveAction, ScheduledWorkflowAction, Site, SiteArea, SiteAreaPrototype, SiteAreaTemplate, SiteFrameworkContainer, Subscriber, Syndicator, Taxonomy, TemplatedDocument, VersionAction, Workflow, WorkflowAction, WorkflowStage

    public interface Item

extends WCMApiObject

Defines a item on repository by providing the least amount of information to identify the item, in order to maximise the performance of APIs.

Method Summary
`java.util.Date` | `getCreationDate()` Returns the creation date of this item
`java.lang.String` | `getDescription()` Returns the description of this `Item` object.
`Identity` | `getIdentity()` Obtain identity information of this item.
`java.util.Date` | `getModifiedDate()` Returns the modified date of this item
`java.lang.String` | `getName()` Returns the name of this `Item` object.
`java.lang.String` | `getTitle()` Returns the title of the controllable object that this Item refers to.

Method Detail

### getIdentity

    Identity getIdentity()

  Obtain identity information of this item.

  Returns:
    Identity of this item

### getName

    java.lang.String getName()

  Returns the name of this `Item` object.

  Returns `null` if this `Item` does not have a name.

  Specified by:
    `getName` in interface `WCMApiObject`
  Returns:
    the name of this `Item` object.

### getTitle

    java.lang.String getTitle()

  Returns the title of the controllable object that this Item refers to. If the Item does not have a title then the name is returned.

  Returns `null` if this Item does not have a title or a name.

  Returns:
    the title of the controllable object that this Item refers to.

### getDescription

    java.lang.String getDescription()

  Returns the description of this `Item` object.

  Returns `null` if this `Item` object does not have a description.

  Returns:
    the description

### getCreationDate

    java.util.Date getCreationDate()

  Returns the creation date of this item

  Returns:
    returns the creation date of this document

### getModifiedDate

    java.util.Date getModifiedDate()

  Returns the modified date of this item

  Returns:
    returns the modified date of this document

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD